Program Compare;

Const
  ResName = '$Result$.Txt';
  MaxCount = 1000;
  Epsilon = 0.05;

Type
  TArray = Array [0..MaxCount] of Real;

Var
  A1, A2: TArray;  K1, K2: Integer;
  Bonus, ErrCode: Integer;
  F: Text;
  I, J, K: Integer;

  Function Min(A, B: Integer): Integer;
  Begin
    If A < B then Min := A else Min := B;
  End;

  Procedure ReadData(Name: String; Var A: TArray; Var K: Integer);
  Var
    S: String;
    F: Text;
  Begin
    Assign(F, Name);  Reset(F);  K := 0;
    While Not Eof(F) do begin
      Readln(F, S);
      Val(S, A[K], ErrCode);
      If ErrCode <> 0 then Break;
      Inc(K);
    End;
    Close(F);
  End;

Begin
  {$I-}  Assign(F, ResName);  Erase(F);  {$I+}  If IOResult <> 0 then;

  Val(ParamStr(4), Bonus, ErrCode);

  ReadData(ParamStr(2), A1, K1);
  ReadData(ParamStr(3), A2, K2);

  If K1 >= 10 then begin {by Volkov}

    K := 0;
    For I := 0 to Min(K1, K2) - 1  do
      If Abs(A1[I] - A2[I]) < Epsilon then Inc(K);

    Assign(F, ResName);  Rewrite(F);
    Writeln(F, Round(K / K1 * Bonus));
    Close(F);

  End else begin {by Standard}

    If K1 <> K2 then Halt;

    K := 0;
    For I := 0 to Min(K1, K2) - 1 do
      If Abs(A1[I] - A2[I]) < Epsilon then Inc(K);

    If K = K1 then begin
      Assign(F, ResName);  Rewrite(F);
      Writeln(F, Bonus);
      Close(F);
    End;

  End;
End.